utl::meta::fold_impl::fold_< typelist< Head, Tail... >, V, Fn > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = eval< fold_< typelist< Tail... >, invoke< Fn, V, Head >, Fn > >

## Detailed Description

### template<typename Head, typename... Tail, typename V, typename Fn>
struct utl::meta::fold_impl::fold_< typelist< Head, Tail... >, V, Fn >

Definition at line 353 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Head , typename... Tail, typename V , typename Fn >

using utl::meta::fold_impl::fold_< typelist< Head, Tail... >, V, Fn >::type = eval< fold_< typelist<Tail...>, invoke<Fn, V, Head>, Fn > >

Definition at line 361 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h